"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ado_api_1 = __importDefault(require("./api/ado-api"));
class Snapshot {
    constructor(releaseEnvironmentVariables) {
        this.releaseApi = new ado_api_1.default(releaseEnvironmentVariables);
        this.releaseEnvironmentVariables = releaseEnvironmentVariables;
    }
    getReleaseSnapshot() {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.releaseApi.getSnapshot();
        });
    }
    getCurrentEnvironment() {
        return __awaiter(this, void 0, void 0, function* () {
            let response = yield this.getReleaseSnapshot();
            let envId = this.releaseEnvironmentVariables.environmentId;
            function getEnvironment(env) {
                return env.id === envId;
            }
            return response.environments.filter(getEnvironment)[0];
        });
    }
}
exports.default = Snapshot;
//# sourceMappingURL=Snapshot.js.map